Subject: Filter with an underscore

From: Ben Kilminster <[email-masked]>
Date: Fri, 22 Aug 2003 10:06:56 -0500 (CDT)

Hi,

Our mailing system removes virus attachments from our emails, and leaves
us with the following in the message body:

--------
Please see the attached file for details.

    [ Part 2, "The Original Attachment has been REPLACED"  Text/PLAIN ]
    [ (Name: "virus_removed_by_FNAL-Postmaster.txt")  27 lines. ]
    [ Not Shown. Use the "V" command to view or save this part. ]

---------

I wanted to add a filter to throw out messages containing the string 
"virus_removed_by_FNAL" in the text, however this string does not seem to 
be recognized.  I think this is because the underscore "_" is not being 
interpreted properly.

I tried doing matches for:

Alltext pattern = virus_removed

	and 

Alltext pattern = virus\_removed

(
LIT:pattern="/NICK=virus 2/ALL=virus\\_removed/FLDTYPE=SPEC/FOLDER=INBOX" 
action="/FILTER=1/FOLDER=garbage/NOKILL=1",
        
LIT:pattern="/NICK=virus/ALL=virus_removed/FLDTYPE=SPEC/FOLDER=INBOX" 
action="/FILTER=1/FOLDER=garbage/NOKILL=1",
)

but none of these work.   Am I missing something ?

-Ben

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------